Eclipse PDE Release 3.7

## org.eclipse.pde.launching
Class OSGiLaunchConfigurationDelegate

    java.lang.Object
      org.eclipse.debug.core.model.LaunchConfigurationDelegate
          org.eclipse.pde.launching.OSGiLaunchConfigurationDelegate

All Implemented Interfaces:
  ILaunchConfigurationDelegate, ILaunchConfigurationDelegate2

Direct Known Subclasses:
  OSGiLaunchConfigurationDelegate

    public class OSGiLaunchConfigurationDelegate

extends LaunchConfigurationDelegate

A launch delegate for launching OSGi frameworks

Clients may subclass and instantiate this class.

This class originally existed in 3.3 as `org.eclipse.pde.ui.launcher.OSGiLaunchConfigurationDelegate`.

Since:
  3.6

Field Summary

Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate
`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

Constructor Summary
`OSGiLaunchConfigurationDelegate()`

Method Summary
`protected IProject[]` `getBuildOrder(ILaunchConfiguration configuration, String mode)`
`void` `launch(ILaunchConfiguration configuration, String mode, ILaunch launch, IProgressMonitor monitor)` Delegates to the launcher delegate associated with the OSGi framework selected in the launch configuration.

Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate
`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, getBreakpoints, getLaunch, getProjectsForProblemSearch, isLaunchProblem, preLaunchCheck, saveBeforeLaunch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSGiLaunchConfigurationDelegate

    public OSGiLaunchConfigurationDelegate()

Method Detail

### launch

    public void launch(ILaunchConfiguration configuration,
                       String mode,
                       ILaunch launch,
                       IProgressMonitor monitor)
                throws CoreException

  Delegates to the launcher delegate associated with the OSGi framework selected in the launch configuration.

  Throws:
    `CoreException`
  See Also:
    `ILaunchConfigurationDelegate.launch(org.eclipse.debug.core.ILaunchConfiguration, java.lang.String, org.eclipse.debug.core.ILaunch, org.eclipse.core.runtime.IProgressMonitor)`

### getBuildOrder

    protected IProject[] getBuildOrder(ILaunchConfiguration configuration,
                                       String mode)
                                throws CoreException

  Overrides:
    `getBuildOrder` in class `LaunchConfigurationDelegate`
  Throws:
    `CoreException`

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.